/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2014-2020 Broadcom
 * All rights reserved.
 */

#ifndef ULP_HDR_FIELD_ENUMS_H_
#define ULP_HDR_FIELD_ENUMS_H_

enum bnxt_ulp_hf1 {
	BNXT_ULP_HF1_IDX_SVIF_INDEX              = 0
};

enum bnxt_ulp_hf2 {
	BNXT_ULP_HF2_IDX_SVIF_INDEX              = 0
};

enum bnxt_ulp_hf3 {
	BNXT_ULP_HF3_IDX_SVIF_INDEX              = 0
};

enum bnxt_ulp_hf4 {
	BNXT_ULP_HF4_IDX_SVIF_INDEX              = 0
};

enum bnxt_ulp_hf5 {
	BNXT_ULP_HF5_IDX_SVIF_INDEX              = 0
};

enum bnxt_ulp_hf6 {
	BNXT_ULP_HF6_IDX_SVIF_INDEX              = 0,
	BNXT_ULP_HF6_IDX_O_ETH_DMAC              = 1,
	BNXT_ULP_HF6_IDX_O_ETH_SMAC              = 2,
	BNXT_ULP_HF6_IDX_O_ETH_TYPE              = 3,
	BNXT_ULP_HF6_IDX_OO_VLAN_CFI_PRI         = 4,
	BNXT_ULP_HF6_IDX_OO_VLAN_VID             = 5,
	BNXT_ULP_HF6_IDX_OO_VLAN_TYPE            = 6,
	BNXT_ULP_HF6_IDX_OI_VLAN_CFI_PRI         = 7,
	BNXT_ULP_HF6_IDX_OI_VLAN_VID             = 8,
	BNXT_ULP_HF6_IDX_OI_VLAN_TYPE            = 9,
	BNXT_ULP_HF6_IDX_O_IPV4_VER              = 10,
	BNXT_ULP_HF6_IDX_O_IPV4_TOS              = 11,
	BNXT_ULP_HF6_IDX_O_IPV4_LEN              = 12,
	BNXT_ULP_HF6_IDX_O_IPV4_FRAG_ID          = 13,
	BNXT_ULP_HF6_IDX_O_IPV4_FRAG_OFF         = 14,
	BNXT_ULP_HF6_IDX_O_IPV4_TTL              = 15,
	BNXT_ULP_HF6_IDX_O_IPV4_PROTO_ID         = 16,
	BNXT_ULP_HF6_IDX_O_IPV4_CSUM             = 17,
	BNXT_ULP_HF6_IDX_O_IPV4_SRC_ADDR         = 18,
	BNXT_ULP_HF6_IDX_O_IPV4_DST_ADDR         = 19
};

enum bnxt_ulp_hf7 {
	BNXT_ULP_HF7_IDX_SVIF_INDEX              = 0,
	BNXT_ULP_HF7_IDX_O_ETH_DMAC              = 1,
	BNXT_ULP_HF7_IDX_O_ETH_SMAC              = 2,
	BNXT_ULP_HF7_IDX_O_ETH_TYPE              = 3,
	BNXT_ULP_HF7_IDX_OO_VLAN_CFI_PRI         = 4,
	BNXT_ULP_HF7_IDX_OO_VLAN_VID             = 5,
	BNXT_ULP_HF7_IDX_OO_VLAN_TYPE            = 6,
	BNXT_ULP_HF7_IDX_OI_VLAN_CFI_PRI         = 7,
	BNXT_ULP_HF7_IDX_OI_VLAN_VID             = 8,
	BNXT_ULP_HF7_IDX_OI_VLAN_TYPE            = 9,
	BNXT_ULP_HF7_IDX_O_IPV6_VER              = 10,
	BNXT_ULP_HF7_IDX_O_IPV6_TC               = 11,
	BNXT_ULP_HF7_IDX_O_IPV6_FLOW_LABEL       = 12,
	BNXT_ULP_HF7_IDX_O_IPV6_PAYLOAD_LEN      = 13,
	BNXT_ULP_HF7_IDX_O_IPV6_PROTO_ID         = 14,
	BNXT_ULP_HF7_IDX_O_IPV6_TTL              = 15,
	BNXT_ULP_HF7_IDX_O_IPV6_SRC_ADDR         = 16,
	BNXT_ULP_HF7_IDX_O_IPV6_DST_ADDR         = 17
};

enum bnxt_ulp_hf8 {
	BNXT_ULP_HF8_IDX_SVIF_INDEX              = 0,
	BNXT_ULP_HF8_IDX_O_ETH_DMAC              = 1,
	BNXT_ULP_HF8_IDX_O_ETH_SMAC              = 2,
	BNXT_ULP_HF8_IDX_O_ETH_TYPE              = 3,
	BNXT_ULP_HF8_IDX_OO_VLAN_CFI_PRI         = 4,
	BNXT_ULP_HF8_IDX_OO_VLAN_VID             = 5,
	BNXT_ULP_HF8_IDX_OO_VLAN_TYPE            = 6,
	BNXT_ULP_HF8_IDX_OI_VLAN_CFI_PRI         = 7,
	BNXT_ULP_HF8_IDX_OI_VLAN_VID             = 8,
	BNXT_ULP_HF8_IDX_OI_VLAN_TYPE            = 9,
	BNXT_ULP_HF8_IDX_O_IPV4_VER              = 10,
	BNXT_ULP_HF8_IDX_O_IPV4_TOS              = 11,
	BNXT_ULP_HF8_IDX_O_IPV4_LEN              = 12,
	BNXT_ULP_HF8_IDX_O_IPV4_FRAG_ID          = 13,
	BNXT_ULP_HF8_IDX_O_IPV4_FRAG_OFF         = 14,
	BNXT_ULP_HF8_IDX_O_IPV4_TTL              = 15,
	BNXT_ULP_HF8_IDX_O_IPV4_PROTO_ID         = 16,
	BNXT_ULP_HF8_IDX_O_IPV4_CSUM             = 17,
	BNXT_ULP_HF8_IDX_O_IPV4_SRC_ADDR         = 18,
	BNXT_ULP_HF8_IDX_O_IPV4_DST_ADDR         = 19,
	BNXT_ULP_HF8_IDX_O_UDP_SRC_PORT          = 20,
	BNXT_ULP_HF8_IDX_O_UDP_DST_PORT          = 21,
	BNXT_ULP_HF8_IDX_O_UDP_LENGTH            = 22,
	BNXT_ULP_HF8_IDX_O_UDP_CSUM              = 23
};

enum bnxt_ulp_hf9 {
	BNXT_ULP_HF9_IDX_SVIF_INDEX              = 0,
	BNXT_ULP_HF9_IDX_O_ETH_DMAC              = 1,
	BNXT_ULP_HF9_IDX_O_ETH_SMAC              = 2,
	BNXT_ULP_HF9_IDX_O_ETH_TYPE              = 3,
	BNXT_ULP_HF9_IDX_OO_VLAN_CFI_PRI         = 4,
	BNXT_ULP_HF9_IDX_OO_VLAN_VID             = 5,
	BNXT_ULP_HF9_IDX_OO_VLAN_TYPE            = 6,
	BNXT_ULP_HF9_IDX_OI_VLAN_CFI_PRI         = 7,
	BNXT_ULP_HF9_IDX_OI_VLAN_VID             = 8,
	BNXT_ULP_HF9_IDX_OI_VLAN_TYPE            = 9,
	BNXT_ULP_HF9_IDX_O_IPV4_VER              = 10,
	BNXT_ULP_HF9_IDX_O_IPV4_TOS              = 11,
	BNXT_ULP_HF9_IDX_O_IPV4_LEN              = 12,
	BNXT_ULP_HF9_IDX_O_IPV4_FRAG_ID          = 13,
	BNXT_ULP_HF9_IDX_O_IPV4_FRAG_OFF         = 14,
	BNXT_ULP_HF9_IDX_O_IPV4_TTL              = 15,
	BNXT_ULP_HF9_IDX_O_IPV4_PROTO_ID         = 16,
	BNXT_ULP_HF9_IDX_O_IPV4_CSUM             = 17,
	BNXT_ULP_HF9_IDX_O_IPV4_SRC_ADDR         = 18,
	BNXT_ULP_HF9_IDX_O_IPV4_DST_ADDR         = 19,
	BNXT_ULP_HF9_IDX_O_TCP_SRC_PORT          = 20,
	BNXT_ULP_HF9_IDX_O_TCP_DST_PORT          = 21,
	BNXT_ULP_HF9_IDX_O_TCP_SENT_SEQ          = 22,
	BNXT_ULP_HF9_IDX_O_TCP_RECV_ACK          = 23,
	BNXT_ULP_HF9_IDX_O_TCP_DATA_OFF          = 24,
	BNXT_ULP_HF9_IDX_O_TCP_TCP_FLAGS         = 25,
	BNXT_ULP_HF9_IDX_O_TCP_RX_WIN            = 26,
	BNXT_ULP_HF9_IDX_O_TCP_CSUM              = 27,
	BNXT_ULP_HF9_IDX_O_TCP_URP               = 28
};

enum bnxt_ulp_hf10 {
	BNXT_ULP_HF10_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF10_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF10_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF10_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF10_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF10_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF10_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF10_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF10_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF10_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF10_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF10_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF10_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF10_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF10_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF10_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF10_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF10_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF10_IDX_O_UDP_SRC_PORT         = 18,
	BNXT_ULP_HF10_IDX_O_UDP_DST_PORT         = 19,
	BNXT_ULP_HF10_IDX_O_UDP_LENGTH           = 20,
	BNXT_ULP_HF10_IDX_O_UDP_CSUM             = 21
};

enum bnxt_ulp_hf11 {
	BNXT_ULP_HF11_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF11_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF11_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF11_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF11_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF11_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF11_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF11_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF11_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF11_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF11_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF11_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF11_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF11_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF11_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF11_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF11_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF11_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF11_IDX_O_TCP_SRC_PORT         = 18,
	BNXT_ULP_HF11_IDX_O_TCP_DST_PORT         = 19,
	BNXT_ULP_HF11_IDX_O_TCP_SENT_SEQ         = 20,
	BNXT_ULP_HF11_IDX_O_TCP_RECV_ACK         = 21,
	BNXT_ULP_HF11_IDX_O_TCP_DATA_OFF         = 22,
	BNXT_ULP_HF11_IDX_O_TCP_TCP_FLAGS        = 23,
	BNXT_ULP_HF11_IDX_O_TCP_RX_WIN           = 24,
	BNXT_ULP_HF11_IDX_O_TCP_CSUM             = 25,
	BNXT_ULP_HF11_IDX_O_TCP_URP              = 26
};

enum bnxt_ulp_hf12 {
	BNXT_ULP_HF12_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF12_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF12_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF12_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF12_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF12_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF12_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF12_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF12_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF12_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF12_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF12_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF12_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF12_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF12_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF12_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF12_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF12_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF12_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF12_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF12_IDX_O_UDP_SRC_PORT         = 20,
	BNXT_ULP_HF12_IDX_O_UDP_DST_PORT         = 21,
	BNXT_ULP_HF12_IDX_O_UDP_LENGTH           = 22,
	BNXT_ULP_HF12_IDX_O_UDP_CSUM             = 23
};

enum bnxt_ulp_hf13 {
	BNXT_ULP_HF13_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF13_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF13_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF13_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF13_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF13_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF13_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF13_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF13_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF13_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF13_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF13_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF13_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF13_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF13_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF13_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF13_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF13_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF13_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF13_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF13_IDX_O_TCP_SRC_PORT         = 20,
	BNXT_ULP_HF13_IDX_O_TCP_DST_PORT         = 21,
	BNXT_ULP_HF13_IDX_O_TCP_SENT_SEQ         = 22,
	BNXT_ULP_HF13_IDX_O_TCP_RECV_ACK         = 23,
	BNXT_ULP_HF13_IDX_O_TCP_DATA_OFF         = 24,
	BNXT_ULP_HF13_IDX_O_TCP_TCP_FLAGS        = 25,
	BNXT_ULP_HF13_IDX_O_TCP_RX_WIN           = 26,
	BNXT_ULP_HF13_IDX_O_TCP_CSUM             = 27,
	BNXT_ULP_HF13_IDX_O_TCP_URP              = 28
};

enum bnxt_ulp_hf14 {
	BNXT_ULP_HF14_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF14_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF14_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF14_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF14_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF14_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF14_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF14_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF14_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF14_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF14_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF14_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF14_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF14_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF14_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF14_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF14_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF14_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF14_IDX_O_UDP_SRC_PORT         = 18,
	BNXT_ULP_HF14_IDX_O_UDP_DST_PORT         = 19,
	BNXT_ULP_HF14_IDX_O_UDP_LENGTH           = 20,
	BNXT_ULP_HF14_IDX_O_UDP_CSUM             = 21
};

enum bnxt_ulp_hf15 {
	BNXT_ULP_HF15_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF15_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF15_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF15_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF15_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF15_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF15_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF15_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF15_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF15_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF15_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF15_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF15_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF15_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF15_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF15_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF15_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF15_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF15_IDX_O_TCP_SRC_PORT         = 18,
	BNXT_ULP_HF15_IDX_O_TCP_DST_PORT         = 19,
	BNXT_ULP_HF15_IDX_O_TCP_SENT_SEQ         = 20,
	BNXT_ULP_HF15_IDX_O_TCP_RECV_ACK         = 21,
	BNXT_ULP_HF15_IDX_O_TCP_DATA_OFF         = 22,
	BNXT_ULP_HF15_IDX_O_TCP_TCP_FLAGS        = 23,
	BNXT_ULP_HF15_IDX_O_TCP_RX_WIN           = 24,
	BNXT_ULP_HF15_IDX_O_TCP_CSUM             = 25,
	BNXT_ULP_HF15_IDX_O_TCP_URP              = 26
};

enum bnxt_ulp_hf16 {
	BNXT_ULP_HF16_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF16_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF16_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF16_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF16_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF16_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF16_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF16_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF16_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF16_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF16_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF16_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF16_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF16_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF16_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF16_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF16_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF16_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF16_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF16_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF16_IDX_O_UDP_SRC_PORT         = 20,
	BNXT_ULP_HF16_IDX_O_UDP_DST_PORT         = 21,
	BNXT_ULP_HF16_IDX_O_UDP_LENGTH           = 22,
	BNXT_ULP_HF16_IDX_O_UDP_CSUM             = 23,
	BNXT_ULP_HF16_IDX_T_VXLAN_FLAGS          = 24,
	BNXT_ULP_HF16_IDX_T_VXLAN_RSVD0          = 25,
	BNXT_ULP_HF16_IDX_T_VXLAN_VNI            = 26,
	BNXT_ULP_HF16_IDX_T_VXLAN_RSVD1          = 27
};

enum bnxt_ulp_hf17 {
	BNXT_ULP_HF17_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF17_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF17_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF17_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF17_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF17_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF17_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF17_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF17_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF17_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF17_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF17_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF17_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF17_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF17_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF17_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF17_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF17_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF17_IDX_O_UDP_SRC_PORT         = 18,
	BNXT_ULP_HF17_IDX_O_UDP_DST_PORT         = 19,
	BNXT_ULP_HF17_IDX_O_UDP_LENGTH           = 20,
	BNXT_ULP_HF17_IDX_O_UDP_CSUM             = 21,
	BNXT_ULP_HF17_IDX_T_VXLAN_FLAGS          = 22,
	BNXT_ULP_HF17_IDX_T_VXLAN_RSVD0          = 23,
	BNXT_ULP_HF17_IDX_T_VXLAN_VNI            = 24,
	BNXT_ULP_HF17_IDX_T_VXLAN_RSVD1          = 25
};

enum bnxt_ulp_hf18 {
	BNXT_ULP_HF18_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF18_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF18_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF18_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF18_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF18_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF18_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF18_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF18_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF18_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF18_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF18_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF18_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF18_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF18_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF18_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF18_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF18_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF18_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF18_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF18_IDX_O_UDP_SRC_PORT         = 20,
	BNXT_ULP_HF18_IDX_O_UDP_DST_PORT         = 21,
	BNXT_ULP_HF18_IDX_O_UDP_LENGTH           = 22,
	BNXT_ULP_HF18_IDX_O_UDP_CSUM             = 23,
	BNXT_ULP_HF18_IDX_T_VXLAN_FLAGS          = 24,
	BNXT_ULP_HF18_IDX_T_VXLAN_RSVD0          = 25,
	BNXT_ULP_HF18_IDX_T_VXLAN_VNI            = 26,
	BNXT_ULP_HF18_IDX_T_VXLAN_RSVD1          = 27
};

enum bnxt_ulp_hf19 {
	BNXT_ULP_HF19_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF19_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF19_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF19_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF19_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF19_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF19_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF19_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF19_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF19_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF19_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF19_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF19_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF19_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF19_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF19_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF19_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF19_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF19_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF19_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF19_IDX_O_UDP_SRC_PORT         = 20,
	BNXT_ULP_HF19_IDX_O_UDP_DST_PORT         = 21,
	BNXT_ULP_HF19_IDX_O_UDP_LENGTH           = 22,
	BNXT_ULP_HF19_IDX_O_UDP_CSUM             = 23,
	BNXT_ULP_HF19_IDX_T_VXLAN_FLAGS          = 24,
	BNXT_ULP_HF19_IDX_T_VXLAN_RSVD0          = 25,
	BNXT_ULP_HF19_IDX_T_VXLAN_VNI            = 26,
	BNXT_ULP_HF19_IDX_T_VXLAN_RSVD1          = 27,
	BNXT_ULP_HF19_IDX_I_ETH_DMAC             = 28,
	BNXT_ULP_HF19_IDX_I_ETH_SMAC             = 29,
	BNXT_ULP_HF19_IDX_I_ETH_TYPE             = 30,
	BNXT_ULP_HF19_IDX_IO_VLAN_CFI_PRI        = 31,
	BNXT_ULP_HF19_IDX_IO_VLAN_VID            = 32,
	BNXT_ULP_HF19_IDX_IO_VLAN_TYPE           = 33,
	BNXT_ULP_HF19_IDX_II_VLAN_CFI_PRI        = 34,
	BNXT_ULP_HF19_IDX_II_VLAN_VID            = 35,
	BNXT_ULP_HF19_IDX_II_VLAN_TYPE           = 36,
	BNXT_ULP_HF19_IDX_I_IPV4_VER             = 37,
	BNXT_ULP_HF19_IDX_I_IPV4_TOS             = 38,
	BNXT_ULP_HF19_IDX_I_IPV4_LEN             = 39,
	BNXT_ULP_HF19_IDX_I_IPV4_FRAG_ID         = 40,
	BNXT_ULP_HF19_IDX_I_IPV4_FRAG_OFF        = 41,
	BNXT_ULP_HF19_IDX_I_IPV4_TTL             = 42,
	BNXT_ULP_HF19_IDX_I_IPV4_PROTO_ID        = 43,
	BNXT_ULP_HF19_IDX_I_IPV4_CSUM            = 44,
	BNXT_ULP_HF19_IDX_I_IPV4_SRC_ADDR        = 45,
	BNXT_ULP_HF19_IDX_I_IPV4_DST_ADDR        = 46
};

enum bnxt_ulp_hf20 {
	BNXT_ULP_HF20_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF20_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF20_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF20_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF20_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF20_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF20_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF20_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF20_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF20_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF20_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF20_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF20_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF20_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF20_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF20_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF20_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF20_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF20_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF20_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF20_IDX_O_UDP_SRC_PORT         = 20,
	BNXT_ULP_HF20_IDX_O_UDP_DST_PORT         = 21,
	BNXT_ULP_HF20_IDX_O_UDP_LENGTH           = 22,
	BNXT_ULP_HF20_IDX_O_UDP_CSUM             = 23
};

enum bnxt_ulp_hf21 {
	BNXT_ULP_HF21_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF21_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF21_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF21_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF21_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF21_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF21_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF21_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF21_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF21_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF21_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF21_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF21_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF21_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF21_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF21_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF21_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF21_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF21_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF21_IDX_O_IPV4_DST_ADDR        = 19,
	BNXT_ULP_HF21_IDX_O_TCP_SRC_PORT         = 20,
	BNXT_ULP_HF21_IDX_O_TCP_DST_PORT         = 21,
	BNXT_ULP_HF21_IDX_O_TCP_SENT_SEQ         = 22,
	BNXT_ULP_HF21_IDX_O_TCP_RECV_ACK         = 23,
	BNXT_ULP_HF21_IDX_O_TCP_DATA_OFF         = 24,
	BNXT_ULP_HF21_IDX_O_TCP_TCP_FLAGS        = 25,
	BNXT_ULP_HF21_IDX_O_TCP_RX_WIN           = 26,
	BNXT_ULP_HF21_IDX_O_TCP_CSUM             = 27,
	BNXT_ULP_HF21_IDX_O_TCP_URP              = 28
};

enum bnxt_ulp_hf22 {
	BNXT_ULP_HF22_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF22_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF22_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF22_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF22_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF22_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF22_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF22_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF22_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF22_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF22_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF22_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF22_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF22_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF22_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF22_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF22_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF22_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF22_IDX_O_UDP_SRC_PORT         = 18,
	BNXT_ULP_HF22_IDX_O_UDP_DST_PORT         = 19,
	BNXT_ULP_HF22_IDX_O_UDP_LENGTH           = 20,
	BNXT_ULP_HF22_IDX_O_UDP_CSUM             = 21
};

enum bnxt_ulp_hf23 {
	BNXT_ULP_HF23_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF23_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF23_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF23_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF23_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF23_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF23_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF23_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF23_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF23_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF23_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF23_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF23_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF23_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF23_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF23_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF23_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF23_IDX_O_IPV6_DST_ADDR        = 17,
	BNXT_ULP_HF23_IDX_O_TCP_SRC_PORT         = 18,
	BNXT_ULP_HF23_IDX_O_TCP_DST_PORT         = 19,
	BNXT_ULP_HF23_IDX_O_TCP_SENT_SEQ         = 20,
	BNXT_ULP_HF23_IDX_O_TCP_RECV_ACK         = 21,
	BNXT_ULP_HF23_IDX_O_TCP_DATA_OFF         = 22,
	BNXT_ULP_HF23_IDX_O_TCP_TCP_FLAGS        = 23,
	BNXT_ULP_HF23_IDX_O_TCP_RX_WIN           = 24,
	BNXT_ULP_HF23_IDX_O_TCP_CSUM             = 25,
	BNXT_ULP_HF23_IDX_O_TCP_URP              = 26
};

enum bnxt_ulp_hf24 {
	BNXT_ULP_HF24_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF24_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF24_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF24_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF24_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF24_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF24_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF24_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF24_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF24_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF24_IDX_O_IPV4_VER             = 10,
	BNXT_ULP_HF24_IDX_O_IPV4_TOS             = 11,
	BNXT_ULP_HF24_IDX_O_IPV4_LEN             = 12,
	BNXT_ULP_HF24_IDX_O_IPV4_FRAG_ID         = 13,
	BNXT_ULP_HF24_IDX_O_IPV4_FRAG_OFF        = 14,
	BNXT_ULP_HF24_IDX_O_IPV4_TTL             = 15,
	BNXT_ULP_HF24_IDX_O_IPV4_PROTO_ID        = 16,
	BNXT_ULP_HF24_IDX_O_IPV4_CSUM            = 17,
	BNXT_ULP_HF24_IDX_O_IPV4_SRC_ADDR        = 18,
	BNXT_ULP_HF24_IDX_O_IPV4_DST_ADDR        = 19
};

enum bnxt_ulp_hf25 {
	BNXT_ULP_HF25_IDX_SVIF_INDEX             = 0,
	BNXT_ULP_HF25_IDX_O_ETH_DMAC             = 1,
	BNXT_ULP_HF25_IDX_O_ETH_SMAC             = 2,
	BNXT_ULP_HF25_IDX_O_ETH_TYPE             = 3,
	BNXT_ULP_HF25_IDX_OO_VLAN_CFI_PRI        = 4,
	BNXT_ULP_HF25_IDX_OO_VLAN_VID            = 5,
	BNXT_ULP_HF25_IDX_OO_VLAN_TYPE           = 6,
	BNXT_ULP_HF25_IDX_OI_VLAN_CFI_PRI        = 7,
	BNXT_ULP_HF25_IDX_OI_VLAN_VID            = 8,
	BNXT_ULP_HF25_IDX_OI_VLAN_TYPE           = 9,
	BNXT_ULP_HF25_IDX_O_IPV6_VER             = 10,
	BNXT_ULP_HF25_IDX_O_IPV6_TC              = 11,
	BNXT_ULP_HF25_IDX_O_IPV6_FLOW_LABEL      = 12,
	BNXT_ULP_HF25_IDX_O_IPV6_PAYLOAD_LEN     = 13,
	BNXT_ULP_HF25_IDX_O_IPV6_PROTO_ID        = 14,
	BNXT_ULP_HF25_IDX_O_IPV6_TTL             = 15,
	BNXT_ULP_HF25_IDX_O_IPV6_SRC_ADDR        = 16,
	BNXT_ULP_HF25_IDX_O_IPV6_DST_ADDR        = 17
};

enum bnxt_ulp_hf_bitmask1 {
	BNXT_ULP_HF1_BITMASK_SVIF_INDEX          = 0x8000000000000000
};

enum bnxt_ulp_hf_bitmask2 {
	BNXT_ULP_HF2_BITMASK_SVIF_INDEX          = 0x8000000000000000
};

enum bnxt_ulp_hf_bitmask3 {
	BNXT_ULP_HF3_BITMASK_SVIF_INDEX          = 0x8000000000000000
};

enum bnxt_ulp_hf_bitmask4 {
	BNXT_ULP_HF4_BITMASK_SVIF_INDEX          = 0x8000000000000000
};

enum bnxt_ulp_hf_bitmask5 {
	BNXT_ULP_HF5_BITMASK_SVIF_INDEX          = 0x8000000000000000
};

enum bnxt_ulp_hf_bitmask6 {
	BNXT_ULP_HF6_BITMASK_SVIF_INDEX          = 0x8000000000000000,
	BNXT_ULP_HF6_BITMASK_O_ETH_DMAC          = 0x4000000000000000,
	BNXT_ULP_HF6_BITMASK_O_ETH_SMAC          = 0x2000000000000000,
	BNXT_ULP_HF6_BITMASK_O_ETH_TYPE          = 0x1000000000000000,
	BNXT_ULP_HF6_BITMASK_OO_VLAN_CFI_PRI     = 0x0800000000000000,
	BNXT_ULP_HF6_BITMASK_OO_VLAN_VID         = 0x0400000000000000,
	BNXT_ULP_HF6_BITMASK_OO_VLAN_TYPE        = 0x0200000000000000,
	BNXT_ULP_HF6_BITMASK_OI_VLAN_CFI_PRI     = 0x0100000000000000,
	BNXT_ULP_HF6_BITMASK_OI_VLAN_VID         = 0x0080000000000000,
	BNXT_ULP_HF6_BITMASK_OI_VLAN_TYPE        = 0x0040000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_VER          = 0x0020000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_TOS          = 0x0010000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_LEN          = 0x0008000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_FRAG_ID      = 0x0004000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_FRAG_OFF     = 0x0002000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_TTL          = 0x0001000000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_PROTO_ID     = 0x0000800000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_CSUM         = 0x0000400000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_SRC_ADDR     = 0x0000200000000000,
	BNXT_ULP_HF6_BITMASK_O_IPV4_DST_ADDR     = 0x0000100000000000
};

enum bnxt_ulp_hf_bitmask7 {
	BNXT_ULP_HF7_BITMASK_SVIF_INDEX          = 0x8000000000000000,
	BNXT_ULP_HF7_BITMASK_O_ETH_DMAC          = 0x4000000000000000,
	BNXT_ULP_HF7_BITMASK_O_ETH_SMAC          = 0x2000000000000000,
	BNXT_ULP_HF7_BITMASK_O_ETH_TYPE          = 0x1000000000000000,
	BNXT_ULP_HF7_BITMASK_OO_VLAN_CFI_PRI     = 0x0800000000000000,
	BNXT_ULP_HF7_BITMASK_OO_VLAN_VID         = 0x0400000000000000,
	BNXT_ULP_HF7_BITMASK_OO_VLAN_TYPE        = 0x0200000000000000,
	BNXT_ULP_HF7_BITMASK_OI_VLAN_CFI_PRI     = 0x0100000000000000,
	BNXT_ULP_HF7_BITMASK_OI_VLAN_VID         = 0x0080000000000000,
	BNXT_ULP_HF7_BITMASK_OI_VLAN_TYPE        = 0x0040000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_VER          = 0x0020000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_TC           = 0x0010000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_FLOW_LABEL   = 0x0008000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_PAYLOAD_LEN  = 0x0004000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_PROTO_ID     = 0x0002000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_TTL          = 0x0001000000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_SRC_ADDR     = 0x0000800000000000,
	BNXT_ULP_HF7_BITMASK_O_IPV6_DST_ADDR     = 0x0000400000000000
};

enum bnxt_ulp_hf_bitmask8 {
	BNXT_ULP_HF8_BITMASK_SVIF_INDEX          = 0x8000000000000000,
	BNXT_ULP_HF8_BITMASK_O_ETH_DMAC          = 0x4000000000000000,
	BNXT_ULP_HF8_BITMASK_O_ETH_SMAC          = 0x2000000000000000,
	BNXT_ULP_HF8_BITMASK_O_ETH_TYPE          = 0x1000000000000000,
	BNXT_ULP_HF8_BITMASK_OO_VLAN_CFI_PRI     = 0x0800000000000000,
	BNXT_ULP_HF8_BITMASK_OO_VLAN_VID         = 0x0400000000000000,
	BNXT_ULP_HF8_BITMASK_OO_VLAN_TYPE        = 0x0200000000000000,
	BNXT_ULP_HF8_BITMASK_OI_VLAN_CFI_PRI     = 0x0100000000000000,
	BNXT_ULP_HF8_BITMASK_OI_VLAN_VID         = 0x0080000000000000,
	BNXT_ULP_HF8_BITMASK_OI_VLAN_TYPE        = 0x0040000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_VER          = 0x0020000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_TOS          = 0x0010000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_LEN          = 0x0008000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_FRAG_ID      = 0x0004000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_FRAG_OFF     = 0x0002000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_TTL          = 0x0001000000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_PROTO_ID     = 0x0000800000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_CSUM         = 0x0000400000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_SRC_ADDR     = 0x0000200000000000,
	BNXT_ULP_HF8_BITMASK_O_IPV4_DST_ADDR     = 0x0000100000000000,
	BNXT_ULP_HF8_BITMASK_O_UDP_SRC_PORT      = 0x0000080000000000,
	BNXT_ULP_HF8_BITMASK_O_UDP_DST_PORT      = 0x0000040000000000,
	BNXT_ULP_HF8_BITMASK_O_UDP_LENGTH        = 0x0000020000000000,
	BNXT_ULP_HF8_BITMASK_O_UDP_CSUM          = 0x0000010000000000
};

enum bnxt_ulp_hf_bitmask9 {
	BNXT_ULP_HF9_BITMASK_SVIF_INDEX          = 0x8000000000000000,
	BNXT_ULP_HF9_BITMASK_O_ETH_DMAC          = 0x4000000000000000,
	BNXT_ULP_HF9_BITMASK_O_ETH_SMAC          = 0x2000000000000000,
	BNXT_ULP_HF9_BITMASK_O_ETH_TYPE          = 0x1000000000000000,
	BNXT_ULP_HF9_BITMASK_OO_VLAN_CFI_PRI     = 0x0800000000000000,
	BNXT_ULP_HF9_BITMASK_OO_VLAN_VID         = 0x0400000000000000,
	BNXT_ULP_HF9_BITMASK_OO_VLAN_TYPE        = 0x0200000000000000,
	BNXT_ULP_HF9_BITMASK_OI_VLAN_CFI_PRI     = 0x0100000000000000,
	BNXT_ULP_HF9_BITMASK_OI_VLAN_VID         = 0x0080000000000000,
	BNXT_ULP_HF9_BITMASK_OI_VLAN_TYPE        = 0x0040000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_VER          = 0x0020000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_TOS          = 0x0010000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_LEN          = 0x0008000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_FRAG_ID      = 0x0004000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_FRAG_OFF     = 0x0002000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_TTL          = 0x0001000000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_PROTO_ID     = 0x0000800000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_CSUM         = 0x0000400000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_SRC_ADDR     = 0x0000200000000000,
	BNXT_ULP_HF9_BITMASK_O_IPV4_DST_ADDR     = 0x0000100000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_SRC_PORT      = 0x0000080000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_DST_PORT      = 0x0000040000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_SENT_SEQ      = 0x0000020000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_RECV_ACK      = 0x0000010000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_DATA_OFF      = 0x0000008000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_TCP_FLAGS     = 0x0000004000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_RX_WIN        = 0x0000002000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_CSUM          = 0x0000001000000000,
	BNXT_ULP_HF9_BITMASK_O_TCP_URP           = 0x0000000800000000
};

enum bnxt_ulp_hf_bitmask10 {
	BNXT_ULP_HF10_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF10_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF10_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF10_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF10_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF10_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF10_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF10_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF10_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF10_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF10_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF10_BITMASK_O_UDP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF10_BITMASK_O_UDP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF10_BITMASK_O_UDP_LENGTH       = 0x0000080000000000,
	BNXT_ULP_HF10_BITMASK_O_UDP_CSUM         = 0x0000040000000000
};

enum bnxt_ulp_hf_bitmask11 {
	BNXT_ULP_HF11_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF11_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF11_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF11_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF11_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF11_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF11_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF11_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF11_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF11_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF11_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_SENT_SEQ     = 0x0000080000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_RECV_ACK     = 0x0000040000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_DATA_OFF     = 0x0000020000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_TCP_FLAGS    = 0x0000010000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_RX_WIN       = 0x0000008000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_CSUM         = 0x0000004000000000,
	BNXT_ULP_HF11_BITMASK_O_TCP_URP          = 0x0000002000000000
};

enum bnxt_ulp_hf_bitmask12 {
	BNXT_ULP_HF12_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF12_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF12_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF12_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF12_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF12_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF12_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF12_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF12_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF12_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF12_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF12_BITMASK_O_UDP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF12_BITMASK_O_UDP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF12_BITMASK_O_UDP_LENGTH       = 0x0000020000000000,
	BNXT_ULP_HF12_BITMASK_O_UDP_CSUM         = 0x0000010000000000
};

enum bnxt_ulp_hf_bitmask13 {
	BNXT_ULP_HF13_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF13_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF13_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF13_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF13_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF13_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF13_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF13_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF13_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF13_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF13_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_SENT_SEQ     = 0x0000020000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_RECV_ACK     = 0x0000010000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_DATA_OFF     = 0x0000008000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_TCP_FLAGS    = 0x0000004000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_RX_WIN       = 0x0000002000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_CSUM         = 0x0000001000000000,
	BNXT_ULP_HF13_BITMASK_O_TCP_URP          = 0x0000000800000000
};

enum bnxt_ulp_hf_bitmask14 {
	BNXT_ULP_HF14_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF14_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF14_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF14_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF14_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF14_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF14_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF14_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF14_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF14_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF14_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF14_BITMASK_O_UDP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF14_BITMASK_O_UDP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF14_BITMASK_O_UDP_LENGTH       = 0x0000080000000000,
	BNXT_ULP_HF14_BITMASK_O_UDP_CSUM         = 0x0000040000000000
};

enum bnxt_ulp_hf_bitmask15 {
	BNXT_ULP_HF15_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF15_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF15_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF15_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF15_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF15_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF15_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF15_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF15_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF15_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF15_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_SENT_SEQ     = 0x0000080000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_RECV_ACK     = 0x0000040000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_DATA_OFF     = 0x0000020000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_TCP_FLAGS    = 0x0000010000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_RX_WIN       = 0x0000008000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_CSUM         = 0x0000004000000000,
	BNXT_ULP_HF15_BITMASK_O_TCP_URP          = 0x0000002000000000
};

enum bnxt_ulp_hf_bitmask16 {
	BNXT_ULP_HF16_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF16_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF16_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF16_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF16_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF16_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF16_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF16_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF16_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF16_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF16_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF16_BITMASK_O_UDP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF16_BITMASK_O_UDP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF16_BITMASK_O_UDP_LENGTH       = 0x0000020000000000,
	BNXT_ULP_HF16_BITMASK_O_UDP_CSUM         = 0x0000010000000000,
	BNXT_ULP_HF16_BITMASK_T_VXLAN_FLAGS      = 0x0000008000000000,
	BNXT_ULP_HF16_BITMASK_T_VXLAN_RSVD0      = 0x0000004000000000,
	BNXT_ULP_HF16_BITMASK_T_VXLAN_VNI        = 0x0000002000000000,
	BNXT_ULP_HF16_BITMASK_T_VXLAN_RSVD1      = 0x0000001000000000
};

enum bnxt_ulp_hf_bitmask17 {
	BNXT_ULP_HF17_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF17_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF17_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF17_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF17_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF17_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF17_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF17_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF17_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF17_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF17_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF17_BITMASK_O_UDP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF17_BITMASK_O_UDP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF17_BITMASK_O_UDP_LENGTH       = 0x0000080000000000,
	BNXT_ULP_HF17_BITMASK_O_UDP_CSUM         = 0x0000040000000000,
	BNXT_ULP_HF17_BITMASK_T_VXLAN_FLAGS      = 0x0000020000000000,
	BNXT_ULP_HF17_BITMASK_T_VXLAN_RSVD0      = 0x0000010000000000,
	BNXT_ULP_HF17_BITMASK_T_VXLAN_VNI        = 0x0000008000000000,
	BNXT_ULP_HF17_BITMASK_T_VXLAN_RSVD1      = 0x0000004000000000
};

enum bnxt_ulp_hf_bitmask18 {
	BNXT_ULP_HF18_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF18_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF18_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF18_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF18_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF18_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF18_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF18_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF18_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF18_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF18_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF18_BITMASK_O_UDP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF18_BITMASK_O_UDP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF18_BITMASK_O_UDP_LENGTH       = 0x0000020000000000,
	BNXT_ULP_HF18_BITMASK_O_UDP_CSUM         = 0x0000010000000000,
	BNXT_ULP_HF18_BITMASK_T_VXLAN_FLAGS      = 0x0000008000000000,
	BNXT_ULP_HF18_BITMASK_T_VXLAN_RSVD0      = 0x0000004000000000,
	BNXT_ULP_HF18_BITMASK_T_VXLAN_VNI        = 0x0000002000000000,
	BNXT_ULP_HF18_BITMASK_T_VXLAN_RSVD1      = 0x0000001000000000
};

enum bnxt_ulp_hf_bitmask19 {
	BNXT_ULP_HF19_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF19_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF19_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF19_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF19_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF19_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF19_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF19_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF19_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF19_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF19_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF19_BITMASK_O_UDP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF19_BITMASK_O_UDP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF19_BITMASK_O_UDP_LENGTH       = 0x0000020000000000,
	BNXT_ULP_HF19_BITMASK_O_UDP_CSUM         = 0x0000010000000000,
	BNXT_ULP_HF19_BITMASK_T_VXLAN_FLAGS      = 0x0000008000000000,
	BNXT_ULP_HF19_BITMASK_T_VXLAN_RSVD0      = 0x0000004000000000,
	BNXT_ULP_HF19_BITMASK_T_VXLAN_VNI        = 0x0000002000000000,
	BNXT_ULP_HF19_BITMASK_T_VXLAN_RSVD1      = 0x0000001000000000,
	BNXT_ULP_HF19_BITMASK_I_ETH_DMAC         = 0x0000000800000000,
	BNXT_ULP_HF19_BITMASK_I_ETH_SMAC         = 0x0000000400000000,
	BNXT_ULP_HF19_BITMASK_I_ETH_TYPE         = 0x0000000200000000,
	BNXT_ULP_HF19_BITMASK_IO_VLAN_CFI_PRI    = 0x0000000100000000,
	BNXT_ULP_HF19_BITMASK_IO_VLAN_VID        = 0x0000000080000000,
	BNXT_ULP_HF19_BITMASK_IO_VLAN_TYPE       = 0x0000000040000000,
	BNXT_ULP_HF19_BITMASK_II_VLAN_CFI_PRI    = 0x0000000020000000,
	BNXT_ULP_HF19_BITMASK_II_VLAN_VID        = 0x0000000010000000,
	BNXT_ULP_HF19_BITMASK_II_VLAN_TYPE       = 0x0000000008000000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_VER         = 0x0000000004000000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_TOS         = 0x0000000002000000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_LEN         = 0x0000000001000000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_FRAG_ID     = 0x0000000000800000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_FRAG_OFF    = 0x0000000000400000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_TTL         = 0x0000000000200000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_PROTO_ID    = 0x0000000000100000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_CSUM        = 0x0000000000080000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_SRC_ADDR    = 0x0000000000040000,
	BNXT_ULP_HF19_BITMASK_I_IPV4_DST_ADDR    = 0x0000000000020000
};

enum bnxt_ulp_hf_bitmask20 {
	BNXT_ULP_HF20_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF20_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF20_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF20_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF20_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF20_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF20_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF20_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF20_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF20_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF20_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF20_BITMASK_O_UDP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF20_BITMASK_O_UDP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF20_BITMASK_O_UDP_LENGTH       = 0x0000020000000000,
	BNXT_ULP_HF20_BITMASK_O_UDP_CSUM         = 0x0000010000000000
};

enum bnxt_ulp_hf_bitmask21 {
	BNXT_ULP_HF21_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF21_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF21_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF21_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF21_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF21_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF21_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF21_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF21_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF21_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF21_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_SRC_PORT     = 0x0000080000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_DST_PORT     = 0x0000040000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_SENT_SEQ     = 0x0000020000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_RECV_ACK     = 0x0000010000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_DATA_OFF     = 0x0000008000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_TCP_FLAGS    = 0x0000004000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_RX_WIN       = 0x0000002000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_CSUM         = 0x0000001000000000,
	BNXT_ULP_HF21_BITMASK_O_TCP_URP          = 0x0000000800000000
};

enum bnxt_ulp_hf_bitmask22 {
	BNXT_ULP_HF22_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF22_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF22_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF22_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF22_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF22_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF22_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF22_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF22_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF22_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF22_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF22_BITMASK_O_UDP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF22_BITMASK_O_UDP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF22_BITMASK_O_UDP_LENGTH       = 0x0000080000000000,
	BNXT_ULP_HF22_BITMASK_O_UDP_CSUM         = 0x0000040000000000
};

enum bnxt_ulp_hf_bitmask23 {
	BNXT_ULP_HF23_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF23_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF23_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF23_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF23_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF23_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF23_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF23_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF23_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF23_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF23_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_SRC_PORT     = 0x0000200000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_DST_PORT     = 0x0000100000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_SENT_SEQ     = 0x0000080000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_RECV_ACK     = 0x0000040000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_DATA_OFF     = 0x0000020000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_TCP_FLAGS    = 0x0000010000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_RX_WIN       = 0x0000008000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_CSUM         = 0x0000004000000000,
	BNXT_ULP_HF23_BITMASK_O_TCP_URP          = 0x0000002000000000
};

enum bnxt_ulp_hf_bitmask24 {
	BNXT_ULP_HF24_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF24_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF24_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF24_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF24_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF24_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF24_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF24_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF24_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF24_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_VER         = 0x0020000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_TOS         = 0x0010000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_LEN         = 0x0008000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_FRAG_ID     = 0x0004000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_FRAG_OFF    = 0x0002000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_TTL         = 0x0001000000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_PROTO_ID    = 0x0000800000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_CSUM        = 0x0000400000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_SRC_ADDR    = 0x0000200000000000,
	BNXT_ULP_HF24_BITMASK_O_IPV4_DST_ADDR    = 0x0000100000000000
};

enum bnxt_ulp_hf_bitmask25 {
	BNXT_ULP_HF25_BITMASK_SVIF_INDEX         = 0x8000000000000000,
	BNXT_ULP_HF25_BITMASK_O_ETH_DMAC         = 0x4000000000000000,
	BNXT_ULP_HF25_BITMASK_O_ETH_SMAC         = 0x2000000000000000,
	BNXT_ULP_HF25_BITMASK_O_ETH_TYPE         = 0x1000000000000000,
	BNXT_ULP_HF25_BITMASK_OO_VLAN_CFI_PRI    = 0x0800000000000000,
	BNXT_ULP_HF25_BITMASK_OO_VLAN_VID        = 0x0400000000000000,
	BNXT_ULP_HF25_BITMASK_OO_VLAN_TYPE       = 0x0200000000000000,
	BNXT_ULP_HF25_BITMASK_OI_VLAN_CFI_PRI    = 0x0100000000000000,
	BNXT_ULP_HF25_BITMASK_OI_VLAN_VID        = 0x0080000000000000,
	BNXT_ULP_HF25_BITMASK_OI_VLAN_TYPE       = 0x0040000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_VER         = 0x0020000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_TC          = 0x0010000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_FLOW_LABEL  = 0x0008000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_PAYLOAD_LEN = 0x0004000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_PROTO_ID    = 0x0002000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_TTL         = 0x0001000000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_SRC_ADDR    = 0x0000800000000000,
	BNXT_ULP_HF25_BITMASK_O_IPV6_DST_ADDR    = 0x0000400000000000
};

#endif
